For the latest news and information visit The GNU Crypto project

## gnu.crypto.key
Interface IKeyPairGenerator

All Known Implementing Classes:
  DSSKeyPairGenerator, GnuDHKeyPairGenerator, RSAKeyPairGenerator, SRPKeyPairGenerator

public interface IKeyPairGenerator

The visible methods of every asymmetric keypair generator.

Method Summary
`java.security.KeyPair` `generate()` Generates a new keypair based on the attributes used to configure the instance.
`java.lang.String` `name()` Returns the canonical name of this keypair generator.
`void` `setup(java.util.Map attributes)` [Re]-initialises this instance for use with a given set of attributes.

Method Detail

### name

    public java.lang.String name()

  Returns the canonical name of this keypair generator.

  Returns:
    the canonical name of this instance.

### setup

    public void setup(java.util.Map attributes)

  [Re]-initialises this instance for use with a given set of attributes.

  Parameters:
    `attributes` - a map of name/value pairs to use for setting up the instance.
  Throws:
    `java.lang.IllegalArgumentException` - if at least one of the mandatory attributes is missing or an invalid value was specified.

### generate

    public java.security.KeyPair generate()

  Generates a new keypair based on the attributes used to configure the instance.

  Returns:
    a new keypair.

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.